Integration Introduction
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Provider Notes
curl 'https://{basl_url}/pika/generate'
-H 'Content-Type: application/json'
// provider-specific example normalized for English documentation
--data '{"pikaffect":"","promptText":"moving","model":"1.5","options":{"aspectRatio":1.7777777777777777,"frameRate":24,"camera":{},"parameters":{"guidanceScale":12,"motion":1,"negativePrompt":""},"extend":false}}'Request Body
{
"pikaffect": "",
"promptText": "moving",
"model": "1.5",
"options": {
"aspectRatio": 1.7777777777777777,
"frameRate": 24,
"camera": {},
"parameters": {
"guidanceScale": 12,
"motion": 1,
"negativePrompt": ""
},
"extend": false
},
"image": ""
}Provider Notes
Field | Type | Notes This section contains endpoint-specific behavior, parameters, or usage notes for this API. promptText string Prompt This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Response Body
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
{
"id": "c1d16f47-16c2-4798-8733-5ed9903885cc"
}Provider Notes
curl 'https://{basl_url}//pika/feed/{id}'
// provider-specific example normalized for English documentationResponse Body
{
"id": "66e0818e-05fb-454e-b246-a6f253e9ffbf",
"promptText": "Plane fly",
"videos": [
{
"id": "66e0818e-05fb-454e-b246-a6f253e9ffbf",
"status": "finished",
"seed": 3183047765,
"resultUrl": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/Plane_fly_seed3183047765.mp4",
"sharingUrl": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/Plane_fly_seed3183047765_share.mp4",
"videoPoster": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/poster.jpg",
"imageThumb": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/thumbnail.jpg",
"duration": 5,
"error": "",
"progress": 100
}
]
}Provider Notes
Field | Type | Notes This section contains endpoint-specific behavior, parameters, or usage notes for this API. promptText string Prompt This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Provider Notes
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. Request Body
{
"pikaffect": "",
"model": "2.0",
"promptText": "pick it",
"options": {
"aspectRatio": 1.7777777777777777,
"frameRate": 24,
"camera": {},
"parameters": {
"guidanceScale": 12,
"motion": 1,
"negativePrompt": ""
},
"extend": false,
"ingredients-mode": "precise"
},
"ingredient": [
"https://www.openai-hk.com/res/img/open.png",
"https://cos.aitutu.cc/gpts/o1-all.jpg"
]
}